package com.persagy.proxy.dictionary.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName AdmLocationPoint
 * @Description: ADM字典查询
 * @Author linhuili
 * @Date 2021/8/31 18:34
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AdmDict {

  private String type;
  /** 交付内类型：0 项目交付（web），1 现场交付（app） **/
  private Integer deliveryType;
}
