package com.persagy.adm.server.algorithm.dao;

import com.persagy.adm.server.algorithm.entity.AdmProjectUser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.persagy.dmp.auth.domain.Project;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Entity com.persagy.adm.server.algorithm.entity.AdmProjectUser
 */
public interface AdmProjectUserMapper extends BaseMapper<AdmProjectUser> {
    /**
     * 根据用户id获取其项目权限
     * @param userId : 用户id
     * @return : java.util.List<com.persagy.dmp.auth.domain.Project>
     * @author : lijie
     * Update By 2022/1/11 20:08
     */
    List<Project> getProjectsByUserId(@Param("userId") String userId);
}




