package com.persagy.adm.server.algorithm.service;

import com.persagy.adm.server.algorithm.entity.AdmModelFile;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 模型文件逻辑处理接口
 * @author : lijie
 * Update By 2022/1/17 10:51
 */
public interface AdmModelFileService extends IService<AdmModelFile> {
    /**
     * 根据状态查询模型文件列表
     * @param status : {@see AdmModelStatusEnum#value}
     * @return : java.util.List<com.persagy.adm.server.algorithm.entity.AdmModelFile>
     * @author : lijie
     * Update By 2022/1/17 10:52
     */
    List<AdmModelFile> listByStatus(String status);
}
