package com.persagy.adm.server.algorithm.service;

import com.persagy.adm.server.algorithm.entity.AdmProjectUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.persagy.dmp.auth.domain.Project;

import java.util.List;

/**
 * ADM项目用户关系逻辑处理接口
 * @author : lijie
 * Update By 2022/1/11 20:05
 */
public interface AdmProjectUserService extends IService<AdmProjectUser> {
    /**
     * 根据用户id获取其项目权限
     * @param userId : 用户id
     * @return : java.util.List<com.persagy.dmp.auth.domain.Project>
     * @author : lijie
     * Update By 2022/1/11 20:08
     */
    List<Project> getProjectsByUserId(String userId);
}
