package com.persagy.adm.server.custom.entity;

import com.persagy.adm.server.custom.entity.db.ObjectInfoCollect;
import com.persagy.adm.server.custom.entity.db.ObjectTypeCollect;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 下载数据字典
 */
@Data
public class Dict {

	private List<Map<String, Object>> major;

	private List<ObjectTypeCollect> system;

	private List<ObjectTypeCollect> equipment;

	private List<? extends Object> relation;

	private List<ObjectInfoCollect> infos;

}
