package com.persagy.adm.server.custom.entity.db;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.Data;

import java.sql.Timestamp;

@Data
@TableName(value = "adm_message_p", autoResultMap = true)
public class AdmMessageP extends BaseAdmEntity {

	private String triggerType;

	private String sender;

	private String status;

	private Timestamp sendTime;

	private Timestamp returnTime;

	@TableField(
			typeHandler = JacksonTypeHandler.class
	)
	private Object content;

	@TableField(
			typeHandler = JacksonTypeHandler.class
	)
	private Object returnContent;

}
