package com.persagy.adm.server.custom.entity.db;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.JsonNode;
import lombok.Data;

@Data
@TableName(value = "adm_serve_area",autoResultMap = true)
public class AdmServeArea extends BaseAdmDataEntity {

    private String objId;

    private String geomType;

    @TableField(
            typeHandler = JacksonTypeHandler.class
    )
    private JsonNode geom;

    private String serveType;

    private String remark;

}