package com.persagy.adm.diagram.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 图标实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@TableName(value = "diagram_icon")
public class IconEntity extends AuditableEntity<IconEntity> {

    /**
     * 图标原名称
     */
    private String iconName;

    /**
     * 图标文件类型
     */
    private String iconType;
    /**
     * 图标所属系统类型
     */
    private String systemType;

    /**
     * 图标大小
     */
    private String iconSize;

    /**
     * 图标对应的文件id
     */
    private String iconFileId;

    /**
     * 图标皮肤
     */
    private String iconSkin;

    /**
     * 所属图例id
     */
    private String legendId;


}
