package com.persagy.adm.diagram.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 模板实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@TableName(value = "diagram_template")
public class TemplateEntity extends AuditableEntity<TemplateEntity> {

    /**
     * 模板对应的系统图类型代码
     */
    private String diagramType;

    /**
     * 模板名称
     */
    private String name;

    /**
     * 模板编码
     */
    private String code;

    /**
     * 描述信息
     */
    private String remark;

    /**
     * 模板内容，json格式
     */
    private String templateContent;

}
