package com.persagy.adm.server.algorithm.service.impl;

import com.persagy.adm.server.algorithm.domain.DeliverPlanVo;
import com.persagy.adm.server.algorithm.service.AdmModelService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 模型文件的逻辑处理类
 * @author : lijie
 * Update By 2022/1/12 14:08
 */
@Service
@Slf4j
@RequiredArgsConstructor
public class AdmModelServiceImpl implements AdmModelService {
    /**
     * 处理BOSS产生的交付计划
     * @param deliverPlanVo : 交付计划信息
     * @author : lijie
     * Update By 2022/1/14 17:22
     */
    @Override
    public void relayDeliverPlan(DeliverPlanVo deliverPlanVo) {
        // 1.根据商品code与项目任务模板的映射数据与规则生成项目任务数据
        // 2.调用dmp-rwd服务根据商品code生成交付范围
    }
}
