package com.persagy.adm.server.auth.service;

import com.persagy.dmp.auth.domain.BossAuthUser;

/**
 * ADM登录统一处理入口
 * @author : lijie
 * Update By 2022/1/11 15:51
 */
public interface AdmAuthService {
    /**
     * 获取当前登录人的用户信息
     * @return : com.persagy.dmp.auth.domain.BossAuthUser
     * @author : lijie
     * Update By 2022/1/11 15:52
     */
    BossAuthUser loginInfo();
}
