package com.persagy.adm.server.custom.entity;

import lombok.Data;

/**
 * Cad图纸查询接口
 */
@Data
public class CadFileQueryParam {
    /**
     * 项目ID
     */
    private String projectId;
    /**
     * 建筑ID
     */
    private String buildingId;
    /**
     * 楼层ID
     */
    private String floorId;
    /**
     * CAD图纸文件的key
     */
    private String fileKey;
    /**
     * 土建精装-CF,空调-AC,给排水-WS,消防-FF
     */
    private String majorCode;
}
