package com.persagy.adm.server.custom.entity;

import com.persagy.adm.server.custom.entity.db.*;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * 配置数据
 */
@Data
@Builder
public class ConfigData {
    //配置数据查询
    private List<AdmM2dEquip> m2dTypes;
    private List<AdmInfosConfig> infosConfig;
    private List<AdmRelsConfig> relConfig;
    private List<AdmPipeConfig> pipeConfig;
    private List<AdmConfig> config;
    private List<AdmComponent> component;
    private List<AdmContainerConfig> containerConfig;
    /**
     * 问题类型
     */
    private List<AdmDefineProblemType> admDefineProblemTypes;
    /**
     * 问题类型对应信息点定义
     */
    private List<AdmDefineProblemInfo> admDefineProblemInfos;

}
