package com.persagy.adm.server.custom.service.impl;

import com.persagy.adm.server.custom.common.AdmMessageConst;
import com.persagy.adm.server.custom.entity.D2mMessage;
import com.persagy.adm.server.custom.service.ISyncModel;
import com.persagy.adm.server.custom.util.AdmMessageHelper;
import org.springframework.amqp.core.Message;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SyncModelImpl implements ISyncModel {

	@Autowired
	private AdmMessageHelper messageHelper;

	@Override
	public void sendMessageToModel(D2mMessage message) {
		messageHelper.sendMessage(message, AdmMessageConst.ADM_D2M_ROUTING, false);
	}

	@Override
	public void handleModelMessage(String message, Message vo) {
		//TODO 处理模型计算返回结果：标注状态， 增加对象
	}

}
